- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- Preview
- PreviewType
- Try it!
Fetch previews for the LineItemCreativeAssociation.
HTTP request
POST https://admanager.googleapis.com/v1/{name}:preview
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "siteUrl": string } |
| Fields | |
|---|---|
siteUrl |
Required. The URL of the site that the creative should be previewed in |
Response body
Response object for creatives.preview method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"previews": [
{
object ( |
| Fields | |
|---|---|
previews[] |
On-site previews of the |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
Preview
Represents the Creative and its corresponding preview URL. */
| JSON representation |
|---|
{
"previewType": enum ( |
| Fields | |
|---|---|
previewType |
Represents the type of preview. |
onSitePreviewUrl |
The URL for previewing this creative. |
nativeStyle |
The resource names of the |
PreviewType
Represents preview types.
| Enums | |
|---|---|
PREVIEW_TYPE_UNSPECIFIED |
Default value. This value is unused. |
STANDARD |
Standard preview type. |
NATIVE |
NativeStyle preview type. |